Packages - Bug #3117

[texlive-bin] needs to be rebult against poppler 21.10.0-1
2021-10-20 07:58 PM - kranos86

Status: duplicate % Done: 0%
Priority: bug

Assignee:

Category:

Description

¢ steps to reproduce:
1) # pacman -Syu poppler

e expected result:
| expect poppler to update from 21.09.0-1 => 21.10.0-1.

e actual result:
Instead, pacman prints: "installing poppler (21.10.0-1) breaks dependency 'poppler=21.09.0-1' required by texlive-bin" won't
update poppler.

History

#1 - 2021-10-20 09:15 PM - nona

- Status changed from unconfirmed to confirmed

This is just a thought, but | cannot confirm it: | think that this kind of issues arise, because the maintainer of a given package builds the package which
she/he/X maintains, and it works on her/his/X machine. The person updates the package to the repositories, but it breaks everyone else's system.

It may also be that the repositories are being updated at the moment, but | would think that the repositories are synchronised. | get the same (or
WOrse) error:

pacman —-S poppler

LANG=C LANGUAGE=C sudo torsocks pacman -S poppler

resolving dependencies...

looking for conflicting packages...

error: failed to prepare transaction (could not satisfy dependencies)
installing poppler (21.10.0-1) breaks dependency 'poppler=21.09.0' required by poppler-glib
installing poppler (21.10.0-1) breaks dependency 'poppler=21.09.0' required by poppler-gtb
installing poppler (21.10.0-1) breaks dependency 'poppler=21.09.0-1' required by texlive-bin

also,

pacman -Qi poppler

Name : poppler
Version : 21.09.0-1

If this is very important, | would recommend to build the package by yourself on your machine by following (or adapting) the PKGBUILD posted on
https://www.parabola.nu/packages. Another work-around is to avoid the installation of the packages which break, but that is an oxymoron in a rolling
distro :P ! | hope someone with a nicer badge helps with a long-term solution.

Good luck.

#2 - 2021-10-26 07:13 AM - pavelsayekat

https://qit.parabola.nu/abslibre.git/tree/extra/poppler, path not found :(

#3 - 2021-10-27 03:48 PM - dllud

Pavel, poppler comes directly from Arch.

Though, the package that needs to be rebuilt is texlive-bin and its descendants.
This is a recurring task that maintainers track at #2546

Let's hope they can rebuild it soon.
#4 - 2021-11-03 04:11 PM - bill-auger
- Status changed from confirmed to duplicate
texlive-bin 2021.58686-3.parabola8 fixes this today

texlive-bin must be re-built often, due to fast-moving poppler - there is a permanent open 'epic' ticket, which we prefer to re-use: #2546, and a volatile
sub-task, which is re-opened and closed as needed: #2776

please watch that one, and bump it in the future, anytime you get: "installing poppler (N) breaks dependency"
